Subject: RE: Introducing the ID tracker

From: "Alagna, Paul" <[email-masked]>
Date: Mon, 11 Nov 2002 09:57:11 -0500

All;
	All of this is consistent with documentation management per se. may
I suggest a refinement. The use of a master list to specify what version is
current will stop a lot of noise. Suppose edits are to be made to version 5
to make version 6. the general population can busy themselves with version 5
till version 6 is finished. They are notified through the master list. If
the master list is a hyperlink list, well so much the better.

 -----Original Message-----
From: 	Scott W Brim [mailto:[email-masked]] 
Sent:	Saturday, November 09, 2002 5:02 PM
To:	Steven M. Bellovin; Dave Crocker
Cc:	Mark Allman; [email-masked]
Subject:	Re: Introducing the ID tracker

On Saturday, November 09, 2002 12:37 PM -0500,
Steven M. Bellovin <[email-masked]> allegedly wrote:

> In message <[email-masked]>, Dave Crocker
> writes:
>>
>> Mark> Or, just define a generic mechanism where arbitrary folk can
>> sign up Mark> to "watch" a particular document.
>>
>> Robert's excellent suggestion is simpler for the folks running the
>> service and it is entirely compatible with existing practise. (When
>> a working group document is issued, the working group is copied on
>> the notice.)
>>
>
> My concern here is the noise factor.  I sometimes make several updates
> a day to a single document, often because I did something like adding
> comments without changing the substate -- I then have to go back and
> update the record again.  I suspect a coarse-grained notification --
> say, once per day -- will solve that problem.  I have no problem with
> the concept of automatic notification.

Personally I wouldn't consider a few messages, giving me clues about
what you are doing with/to a document, to be noise or disrupting.  Once
a day is acceptable to me, but don't promote the idea because you think
WG participants wouldn't like several messages a day.

swb

---

From: Robert Elz <[email-masked]>
Date: Tue, 12 Nov 2002 14:15:59 +1100

Date:        Mon, 11 Nov 2002 09:57:11 -0500
    From:        "Alagna, Paul" <[email-masked]>
    Message-ID:  <19DE307E1D15D61193690008C75D6E94030BF46A@TBHWMIS5>

  | The use of a master list to specify what version is
  | current will stop a lot of noise. Suppose edits are to be made to version 5
  | to make version 6. [...]

I suspect you're missing what is going on here.   This has nothing at all to
do with document editing or updates (or not directly).

The changes that we would like to monitor are to the IESG database that keep
track of what the IESG is doing with documents that have been submitted.

Docs that are in the process of being edited will generally just be sitting
in the "ID received, being ignored" state (which isn't the name the IESG give 
it, but expresses the intent...  I'm too lazy to look up the correct label 
now).   That is, they're someone else's problem (the working group, or the
author) and the IESG isn't considering them at all.

It is only after the WG believes the doc is complete, and asks an AD to start
the process of advancing the doc that the relevant state changes start to 
happen.   Just knowing for sure that AD received the "please advance" message
and did something with it (even if that takes a few days or more to happen,
which is possible for all kinds of good reasons) would make change notification
useful.

kre